/*
 ATtiny25 Basic VCO
 Version: 1.0
 Author: Alex from insideGadgets (http://www.insidegadgets.com)
 Created: 10/06/2013
 Last Modified: 10/06/2013
 
 Use a 10K pot to adjust the frequency of the output ranging from 128KHz to 32MHz. 
 At the higher end it jumps in fairly large steps.
 
 */

#define F_CPU 1000000

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "setup.c"

// ATtiny25/45/85 Pin map
//
//                +-\/-+
//    Reset PB5  1|o   |8  VCC
//  10K Pot PB3  2|    |7  PB2
//          PB4  3|    |6  PB1 Output
//          GND  4|    |5  PB0
//                +----+

int main(void) {
	setup();
	
	while(1) {
		int setting = adcRead(3);
		OCR1A = (setting / 8); // Compare to
		OCR1C = ((setting / 8) * 2); // Set top
		
		_delay_ms(200);
	}
}
